GFS_GRIB2_DATA_VARS = {
    "surface": {
        "vis": "Visibility",
        "gust": "Wind speed (gust)",
        "hindex": "Haines Index",
        "sp": "Surface pressure",
        "orog": "Orography",
        "t": "Temperature",
        "sdwe": "Water equivalent of accumulated snow depth (deprecated)",
        "sde": "Snow depth",
        "pevpr": "Potential evaporation rate",
        "cpofp": "Percent frozen precipitation",
        "cprat": "Convective precipitation rate",
        "prate": "Precipitation rate",
        "tp": "Total Precipitation",
        "acpcp": "Convective precipitation (water)",
        "watr": "Water runoff",
        "csnow": "Categorical snow",
        "cicep": "Categorical ice pellets",
        "cfrzr": "Categorical freezing rain",
        "crain": "Categorical rain",
        "lhtfl": "Latent heat net flux",
        "shtfl": "Sensible heat net flux",
        "gflux": "Ground heat flux",
        "uflx": "Momentum flux, u component",
        "vflx": "Momentum flux, v component",
        "u-gwd": "Zonal flux of gravity wave stress",
        "v-gwd": "Meridional flux of gravity wave stress",
        "wilt": "Wilting Point",
        "fldcp": "Field Capacity",
        "SUNSD": "Sunshine Duration",
        "lftx": "Surface lifted index",
        "cape": "Convective available potential energy",
        "cin": "Convective inhibition",
        "dswrf": "Downward short-wave radiation flux",
        "dlwrf": "Downward long-wave radiation flux",
        "uswrf": "Upward short-wave radiation flux",
        "ulwrf": "Upward long-wave radiation flux",
        "4lftx": "Best (4-layer) lifted index",
        "hpbl": "Planetary boundary layer height",
        "lsm": "Land-sea mask",
        "siconc": "Sea ice area fraction",
        "al": "Albedo",
        "landn": "Land-sea coverage (nearest neighbor) [land=1,sea=0]",
    },
    "isobaricInhPa": {
        "gh": "Geopotential Height",
        "t": "Temperature",
        "r": "Relative humidity",
        "u": "U component of wind",
        "v": "V component of wind",
    },
    "meanSea": {
        "mslet": "MSLP (Eta model reduction)",
        "prmsl": "Pressure reduced to MSL",
    },
    "depthBelowLandLayer": {
        "st": "Soil Temperature",
        "soilw": "Volumetric soil moisture content",
    },
    "heightAboveGround": {
        "t2m": "2 metre temperature",
        "d2m": "2 metre dewpoint temperature",
        "r2": "2 metre relative humidity",
        "aptmp": "Apparent temperature",
        "tmax": "Maximum temperature",
        "tmin": "Minimum temperature",
    },
    "atmosphere": {"tcc": "Total Cloud Cover"},
    "nominalTop": {
        "uswrf": "Upward short-wave radiation flux",
        "ulwrf": "Upward long-wave radiation flux",
    },
    "heightAboveGroundLayer": {"hlcy": "Storm relative helicity"},
    "tropopause": {
        "pres": "Pressure",
        "icaht": "ICAO Standard Atmosphere reference height",
        "gh": "Geopotential Height",
        "t": "Temperature",
        "u": "U component of wind",
        "v": "V component of wind",
        "vwsh": "Vertical speed shear",
    },
    "maxWind": {
        "pres": "Pressure",
        "icaht": "ICAO Standard Atmosphere reference height",
        "gh": "Geopotential Height",
        "u": "U component of wind",
        "v": "V component of wind",
        "t": "Temperature",
    },
    "heightAboveSea": {
        "t": "Temperature",
        "u": "U component of wind",
        "v": "V component of wind",
    },
    "isothermZero": {"gh": "Geopotential Height", "r": "Relative humidity"},
    "pressureFromGroundLayer": {
        "t": "Temperature",
        "r": "Relative humidity",
        "q": "Specific humidity",
        "u": "U component of wind",
        "v": "V component of wind",
    },
    "sigmaLayer": {"r": "Relative humidity"},
    "sigma": {
        "t": "Temperature",
        "pt": "Potential temperature",
        "r": "Relative humidity",
        "u": "U component of wind",
        "v": "V component of wind",
        "w": "Vertical velocity",
    },
    "potentialVorticity": {
        "u": "U component of wind",
        "v": "V component of wind",
        "t": "Temperature",
        "gh": "Geopotential Height",
        "pres": "Pressure",
        "vwsh": "Vertical speed shear",
    },
}

